Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035626
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminoralways2017-03-10 10:492017-03-29 09:19
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityimmediateResolutionfixedFixed in Version3.0PR17Q1.1
StatusclosedFix in branchFixed in SCM revision583afb72b124
ProjectionnoneETAnoneTarget Version3.0PR17Q1.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-09-23
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/66e8497a06cb [^]
Triggers an Emergency PackNo
Summary

0035626: It is possible to create a bank fee transaction in financial account with both deposit and withdrawal amount different from 0

DescriptionIt is possible to create a bank fee transaction in financial account with both deposit and withdrawal amount different from 0
Steps To ReproduceAs group admin role:

1. Create a new record in Financial Account - Transaction tab
   Set Transaction Type as Bank fee
   Set a value different from 0 in the Deposit Amount field
   Set a value different from 0 in the Withdrawal Amount field
   Check you can save and process it and you should not

2. Select a Financial Account with a Matching Algorithm defined
   Create a record in Imported Bank Statements record
   Add a line to it and process it
   Click on Match Statement process button
   Cancel the algorithm to be run
   Add a new transaction (+ button in Match column)
   Set Transaction Type as Bank fee
   Check the amount is reset to 0 (See note)
   Set a value different from 0 in the Deposit Amount field
   Set a value different from 0 in the Withdrawal Amount field
   Check you can process it and you should not
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0035477 closedmarkmm82 It is possible to create a bank fee transaction in financial account with both deposit and withdrawal amount different from 0 

-  Notes
(0095623)
hgbot (developer)
2017-03-29 09:18

Repository: erp/backports/3.0PR17Q1.1
Changeset: 583afb72b124db54929c2949e9addb4cafd30d3c
Author: Mark <markmm82 <at> gmail.com>
Date: Tue Mar 28 09:26:09 2017 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR17Q1.1/rev/583afb72b124db54929c2949e9addb4cafd30d3c [^]

Fixes issue 35626: Avoid Financial Account transactions with both amounts != 0

Following changes have been done in Financial Account Transaction tab and in Add Transaction process definition:
When changing to Bank Fee transaction type, amounts will not be updated to zero.
When changing Deposit Amount in case Bank Fee transaction type, Withdrawal Amount will be updated to zero.
When changing Withdrawal Amount in case Bank Fee transaction type, Deposit Amount will be updated to zero.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addTransaction.js
M src-db/database/sourcedata/AD_CALLOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src/org/openbravo/erpCommon/ad_callouts/SE_Payment_Transaction.java
M src/org/openbravo/erpCommon/ad_callouts/SE_Trxtype_Transaction.java
A src/org/openbravo/erpCommon/ad_callouts/SE_Amount_Transaction.java
---
(0095625)
aferraz (developer)
2017-03-29 09:19

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2017-03-27 23:29 markmm82 Type defect => backport
2017-03-27 23:29 markmm82 Target Version => 3.0PR17Q1.1
2017-03-28 12:42 aferraz Regression date 2015-05-06 => 2014-09-23
2017-03-28 12:42 aferraz Regression introduced in release 3.0PR15Q1.3 => 3.0PR14Q4
2017-03-28 20:41 aferraz Severity major => minor
2017-03-29 09:18 hgbot Checkin
2017-03-29 09:18 hgbot Note Added: 0095623
2017-03-29 09:18 hgbot Status scheduled => resolved
2017-03-29 09:18 hgbot Resolution open => fixed
2017-03-29 09:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q1.1/rev/583afb72b124db54929c2949e9addb4cafd30d3c [^]
2017-03-29 09:19 aferraz Review Assigned To => aferraz
2017-03-29 09:19 aferraz Note Added: 0095625
2017-03-29 09:19 aferraz Status resolved => closed
2017-03-29 09:19 aferraz Fixed in Version => 3.0PR17Q1.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker